package com.limap.core.basic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.limap.core.basic.domain.AquPayDevice;
import com.limap.core.basic.domain.AquPayOrder;
import com.limap.core.basic.domain.BasicProfitSharingRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 分润记录Mapper接口
 *
 * @author jjb
 * @date 2025-04-11
 */
@Mapper
public interface AquPayOrderMapper extends BaseMapper<AquPayOrder> {

    List<AquPayDevice> selectInfoByHour(Integer hour);

    List<AquPayDevice> selectInfoForBackfill(Integer hour);

    void updatePayDeviceStatus(@Param("list") List<AquPayDevice> list);

    void dealRechargeWarnCode();
}
